
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serializable;
/**
 *
 *
 * @author tmerclub
 * @date 2023-11-08 11:11:44
 */
public class Warehouse extends BaseModel implements Serializable{
    private static final long serialVersionUID = 1L;

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 仓库名称
     */
    private String warehouseName;

    /**
     * 仓库类型（0默认仓库，1区域仓库）
     */
    private Integer type;

    /**
     * 仓库地址
     */
    private String address;

    /**
     * 管理人
     */
    private String manage;

    /**
     * 管理电话
     */
    private String phone;

    /**
     * 系统类型
     */
    private Integer sysType;

    /**
     * 省ID
     */
    private Long provinceId;

    /**
     * 省
     */
    private String province;

    /**
     * 城市ID
     */
    private Long cityId;

    /**
     * 城市
     */
    private String city;

    /**
     * 区ID
     */
    private Long areaId;

    /**
     * 区
     */
    private String area;

    public Long getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(Long provinceId) {
        this.provinceId = provinceId;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public Long getCityId() {
        return cityId;
    }

    public void setCityId(Long cityId) {
        this.cityId = cityId;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public Long getAreaId() {
        return areaId;
    }

    public void setAreaId(Long areaId) {
        this.areaId = areaId;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public Integer getSysType() {
        return sysType;
    }

    public void setSysType(Integer sysType) {
        this.sysType = sysType;
    }

    public Long getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(Long warehouseId) {
        this.warehouseId = warehouseId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public String getWarehouseName() {
        return warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getManage() {
        return manage;
    }

    public void setManage(String manage) {
        this.manage = manage;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    @Override
    public String toString() {
        return "Warehouse{" +
                "warehouseId=" + warehouseId +
                ", shopId=" + shopId +
                ", warehouseName='" + warehouseName + '\'' +
                ", type=" + type +
                ", address='" + address + '\'' +
                ", manage='" + manage + '\'' +
                ", phone='" + phone + '\'' +
                ", sysType=" + sysType +
                ", provinceId=" + provinceId +
                ", province='" + province + '\'' +
                ", cityId=" + cityId +
                ", city='" + city + '\'' +
                ", areaId=" + areaId +
                ", area='" + area + '\'' +
                '}';
    }
}
